#include <SoftwareSerial.h>

const int sensorPin = 0;
const int threshold = 20; //センサの反応を見て調整
int sensorValue = 0;
int distance = 0;
int brightness = 0;
int led[3];

void setup() {
  Serial.begin(9600);
  led[0] = 0;
  led[1] = 0;
  led[2] = 0;
}

void loop() {
  int sensorValue = analogRead(sensorPin);
  //Serial.println(sensorValue);
  
  if(sensorValue > threshold){
    distance = (6787 / (sensorValue - 3)) - 4;
    brightness = map(constrain(distance, 25, 50), 50, 25, 0, 255); // 50cmで光りはじめ、25cmで最大輝度
    Serial.print(distance);
    Serial.print("cm, ");
    Serial.println(brightness);
    
    analogWrite(3, brightness);
    analogWrite(5, brightness);
    analogWrite(6, brightness);
  }
  
  delay(20); //20msごとに実行
}
